Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Asynch_Connect Class Reference

This class is a factory for starting off asynchronous connects This class forwards all methods to its implementation class. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Connect:

[legend]
Collaboration diagram for ACE_Asynch_Connect:

[legend]
List of all members.

## Public Methods
| ACE_Asynch_Connect (void)
| A do nothing constructor.
virtual | ~ACE_Asynch_Connect (void)
| Destructor.
int | open (ACE_Handler &handler, ACE_HANDLE handle=ACE_INVALID_HANDLE, const void *completion_key=0, ACE_Proactor *proactor=0)
int | connect (ACE_HANDLE connect_handle, const ACE_Addr &remote_sap, const ACE_Addr &local_sap, int reuse_addr, const void *act=0, int priority=0, int signal_number=ACE_SIGRTMIN)
ACE_Asynch_Connect_Impl * | implementation (void) const
| Return the underlying implementation class.
## Protected Methods
void | implementation (ACE_Asynch_Connect_Impl *implementation)
| Set the implementation class.
## Protected Attributes
ACE_Asynch_Connect_Impl * | implementation_

## Detailed Description

This class is a factory for starting off asynchronous connects This class forwards all methods to its implementation class.

Once `open` is called, multiple asynchronous connect operationss can started using this class. A ACE_Asynch_Connect::Result will be passed back to the associated ACE_Handler when the asynchronous connect completes through the ACE_Handler::handle_connect() callback.

## Constructor & Destructor Documentation

ACE_Asynch_Connect::ACE_Asynch_Connect | ( | void |  | ) |

| A do nothing constructor.

ACE_Asynch_Connect::~ACE_Asynch_Connect | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Asynch_Connect::connect | ( | ACE_HANDLE | connect_handle,
|  | const ACE_Addr & | remote_sap,
|  | const ACE_Addr & | local_sap,
|  | int | reuse_addr,
|  | const void * | act = 0,
|  | int | priority = 0,
|  | int | signal_number = ACE_SIGRTMIN
| ) |

| This starts off an asynchronous Connect.

void ACE_Asynch_Connect::implementation | ( | ACE_Asynch_Connect_Impl * | implementation | ) | `[protected]`

| Set the implementation class.

ACE_Asynch_Connect_Impl * ACE_Asynch_Connect::implementation | ( | void |  | ) | const

| Return the underlying implementation class. Reimplemented from ACE_Asynch_Operation.

int ACE_Asynch_Connect::open | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle = ACE_INVALID_HANDLE,
|  | const void * | completion_key = 0,
|  | ACE_Proactor * | proactor = 0
| ) |

| Initializes the factory with information which will be used with each asynchronous call. Note: handle is ignored and should be `ACE_INVALID_HANDLE`. Reimplemented from ACE_Asynch_Operation.

## Member Data Documentation

ACE_Asynch_Connect_Impl* ACE_Asynch_Connect::implementation_`[protected]`

| Delegation/implementation class that all methods will be forwarded to. Reimplemented from ACE_Asynch_Operation.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO.cpp